# Changelog

## 0.1.4 (2025-03-06)
* Add transfer_service_args to manifest, to pass to data-transfer-service
* Add IngestedManifest subclass with different type hints for watchdog service
* Make importable library dependencies different than built service
* Don't fail manifest if files are missing, but do send warning
* Add write_standard_file and make_standard_transfer_args methods
* Generate manifest name to match CO asset if not provided

## 0.1.4.dev0 (2025-02-26)
* Add transfer_service_args to manifest, to pass to data-transfer-service
* Add IngestedManifest subclass with different type hints for watchdog service
* Make importable library dependencies different than built service
* Don't fail manifest if files are missing, but do send warning
* Add write_standard_file and make_standard_transfer_args methods
* Generate manifest name to match CO asset if not provided

## 0.1.3 (2025-02-10)
* Process one manifest at a time instead of in parallel
* Add manifest path and traceback to "error loading manifest" log
*  Add configurable robocopy_args, defaults to [ "/e", "/z", "/j", "/r:5", "/np", "/log+:C:\ProgramData\AIBS_MPE\aind_watchdog_service\logs\robocopy.log", ]

    * The "/log+:path\to\file" argument writes the robocopy log
* Add new config "windows_copy_utility" = "shutil" or "robocopy", default "robocopy"
* Catch manifests with empty "modalities" argument and log as error
* Make endpoint post for data-upload-service optional. Set to "null" in a manifest to skip.
* Add "Source file does not exist" error message instead of "could not copy"
* Add robocopy log parsing for detailed error reporting
* Add data_size_mb to logs
* Publish python package to devpi
* Add nonspecific try/catch for run_job so unexpected errors get logged
* Check for file existence on manifest validation
* Disregard files in manifest folder that aren't .yml or .yaml

## 0.1.3.dev7 (2025-02-06)
* Fix bug where data_size was included in manifest dump

## 0.1.3.dev6 (2025-02-06)
* Check for file existence on manifest validation
* Disregard files in manifest folder that aren't .yml or .yaml

## 0.1.3.dev5 (2025-02-05)
* Add big try/except for run_job 

## 0.1.3.dev4 (2025-01-31)
* Add `data_size_mb` computed field to mainfest log tags
* Publish python package to devpi

## 0.1.3.dev3 (2025-01-29)
* Add robocopy log parsing for detailed error reporting

## 0.1.3.dev2 (2025-01-15)
* Add "Source file does not exist" error message instead of "could not copy"

## 0.1.3.dev1 (2025-01-15)
* Process one manifest at a time instead of in parallel
* Add manifest path and traceback to "error loading manifest" log
* Add configurable robocopy_args, defaults to 
    [
        "/e", "/z", "/j", "/r:5", "/np",
        "/log+:C:\\ProgramData\\AIBS_MPE\\aind_watchdog_service\\logs\\robocopy.log",
    ]
    * The "/log+:path\\to\\file" argument writes the robocopy log
* Add new config "windows_copy_utility" = "shutil" or "robocopy", default "robocopy"
* Catch manifests with empty "modalities" argument and log as error
* Make endpoint post for data-upload-service optional. Set to "null" in a manifest to skip.


## 0.1.2 (2024-11-15)
* Production release
* Move into SIPE's infrastructure and ownership
* Add mpetk - configuration with zookeeper and logging to server
* Add more informative logs to improve transfer process tracking
* Remove "script" argument of manifest allowing arbitrary code execution
* Create manifest directory on app startup
* Add function to test a deployed instance with `aind_watchdog_service.exe --test`

## 0.1.2.dev6 (2024-11-15)
* Add more info in logging
* Add fn to drop test manifest with `aind_watchdog_service.exe --test`

## 0.1.2.dev5 (2024-11-06)
* Tweak logging

## 0.1.2.dev4 (2024-11-06)
* Remove teams alert
* Remove script running
* Fix log_tags bug

## 0.1.2.dev3 (2024-11-05)
* Update log messages

## 0.1.2.dev1 (2024-11-04)
* Add an error log if vast transfer fails
* create manifest directory if it doesn't exist

## 0.1.2.dev0 (2024-11-04)
* Move to gitlab